<?xml version="1.0" encoding="utf-8"?>
<configuration>

  <configSections>
    <section name="Smev.Server" type="Smev.Server.Configuration, Smev.Server"/>
  </configSections>
  <appSettings>
    <add key="ConsumerSigningStore" value="CurrentUser"/>
    <!--Ульяновск Услуги-->
    <!--<add key="ConsumerSigningThumbprint" value="2c437022f8d1a76998272bd7e123e9ec2eb4ed84"/>-->
    <!--Ульяновск СРЗ-->
    <!--<add key="ConsumerSigningThumbprint" value="31a48f305f8e5a96ef797936790c7438c21fb87e"/>-->      
    <!--Владимир-->
    <!--<add key="ConsumerSigningThumbprint" value="7a7f017d1571fe0989229db230892ae2fecdd1a7"/>-->   
    <!--Смоленск-->
    <add key="ConsumerSigningThumbprint" value="04cda67936010b78f98d557ba1b2d5753189828e"/>  
    <!-- CryptoPro -->
    <add key="NativeCryptoProviderType" value="75"/>
    <!-- VipNet -->
    <!--<add key="NativeCryptoProviderType" value="2"/>-->
    <!--Основные директории ввода-вывода-->
    <add key="InputPath" value="D:\SMEV\1"/>
    <add key="OutputPath" value="G:\SMEV\3"/>
    <add key="ErrorsPath" value="G:\SMEV\2"/>
    <!--Таймаут для вычитки из директории-->
    <add key="FolderTimeOut" value="3000"/>
  </appSettings>

  <system.diagnostics>
    <sources>
      <source name="System.ServiceModel.MessageLogging">
        <listeners>
          <add name="messages" type="System.Diagnostics.TextWriterTraceListener" initializeData="messages.log"/>
        </listeners>
      </source>

    </sources>
    <trace autoflush="true" indentsize="4">
      <listeners>
        <add name="ErrorListener" type="System.Diagnostics.TextWriterTraceListener" traceOutputOptions="DateTime" initializeData="errors.log"/>
        <remove name="Default"/>
      </listeners>
    </trace>
  </system.diagnostics>
<!--<endpoint address="http://smev3-n0.test.gosuslugi.ru:7500/smev/v1.1/ws" binding="basicHttpBinding" bindingConfiguration="SMEVMessageExchangeSoap11Binding" contract="SMEVMessageExchangePortType" name="SMEVMessageExchangeEndpoint" behaviorConfiguration="SmevBehavior"/>-->
  <system.serviceModel>
    <diagnostics wmiProviderEnabled="true">
      <messageLogging logEntireMessage="true" logMalformedMessages="true" logMessagesAtServiceLevel="true" logMessagesAtTransportLevel="true" maxMessagesToLog="3000"/>
    </diagnostics>

    <bindings>
      <basicHttpBinding>
        <binding name="SMEVMessageExchangeSoap11Binding" messageEncoding="Mtom"/>
      </basicHttpBinding>
    </bindings>

    <client>
      <endpoint address="http://smev3-n0.test.gosuslugi.ru:5000/transport_1_0_2/" binding="basicHttpBinding" bindingConfiguration="SMEVMessageExchangeSoap11Binding" contract="VCLib.Smev.SMEV313.SMEVMessageExchangePortType" name="SMEVMessageExchangeEndpoint313" behaviorConfiguration="SmevBehavior"/>
      <endpoint address="http://smev3-n0.test.gosuslugi.ru:7500/smev/v1.1/ws" binding="basicHttpBinding" bindingConfiguration="SMEVMessageExchangeSoap11Binding" contract="SMEVMessageExchangePortType" name="SMEVMessageExchangeEndpoint" behaviorConfiguration="SmevBehavior"/>
    </client>

    <behaviors>

      <endpointBehaviors>
        <behavior name="SmevBehavior">
          <SigningMessageInspector/>
        </behavior>
      </endpointBehaviors>

      <serviceBehaviors>
        <behavior name="WebServiceBehavior">
          <serviceMetadata httpGetEnabled="true"/>
        </behavior>
      </serviceBehaviors>
    </behaviors>

    <extensions>
      <behaviorExtensions>
        <add name="SigningMessageInspector" type="VCLib.Smev.SigningMessageInspector, VCLib.Smev"/>
      </behaviorExtensions>
    </extensions>
    <services>

      <service name="Smev.Server.ServiceExchange" behaviorConfiguration="WebServiceBehavior">
        <host>
          <baseAddresses>
            <add baseAddress="http://localhost:43210/ServiceExchange"/>
          </baseAddresses>
        </host>
        <!--<endpoint address="" binding="basicHttpBinding" bindingConfiguration="basicServiceBinding" contract="IES.Communication.IDiagramStatusService"/>-->
      </service>
    </services>

  </system.serviceModel>

  <startup> 
        <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.8"/>
    </startup>
</configuration>
